zenilib: zenilib/jni/external/freetype2/src/cache/ftcsbits.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftcsbits.c File Reference
`#include <ft2build.h>`
`#include <FT_CACHE_H>`
`#include "ftcsbits.h"`
`#include <FT_INTERNAL_OBJECTS_H>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_ERRORS_H>`
`#include "ftccback.h"`
`#include "ftcerror.h"`

Go to the source code of this file.

## Macros

#define | CHECK_BYTE(d) ( temp = (FT_Byte)d, temp == d )
#define | CHECK_CHAR(d) ( temp = (FT_Char)d, temp == d )
#define | FT_COMPONENT trace_cache

## Functions

static FT_Error | ftc_sbit_copy_bitmap (FTC_SBit sbit, FT_Bitmap *bitmap, FT_Memory memory)
| ftc_snode_compare (FTC_Node ftcsnode, FT_Pointer ftcgquery, FTC_Cache cache, FT_Bool *list_changed)
| FTC_SNode_Compare (FTC_SNode snode, FTC_GQuery gquery, FTC_Cache cache, FT_Bool *list_changed)
| ftc_snode_free (FTC_Node ftcsnode, FTC_Cache cache)
| FTC_SNode_Free (FTC_SNode snode, FTC_Cache cache)
static FT_Error | ftc_snode_load (FTC_SNode snode, FTC_Manager manager, FT_UInt gindex, FT_ULong *asize)
| FTC_SNode_New (FTC_SNode *psnode, FTC_GQuery gquery, FTC_Cache cache)
| ftc_snode_new (FTC_Node *ftcpsnode, FT_Pointer ftcgquery, FTC_Cache cache)
| ftc_snode_weight (FTC_Node ftcsnode, FTC_Cache cache)

## Macro Definition Documentation

#define CHECK_BYTE | ( |  | d | ) | ( temp = (FT_Byte)d, temp == d )

Referenced by ftc_snode_load().

#define CHECK_CHAR | ( |  | d | ) | ( temp = (FT_Char)d, temp == d )

Referenced by ftc_snode_load().

#define FT_COMPONENT trace_cache

Definition at line 30 of file ftcsbits.c.

## Function Documentation

static FT_Error ftc_sbit_copy_bitmap | ( | FTC_SBit | sbit,
|  | FT_Bitmap * | bitmap,
|  | FT_Memory | memory
| ) |  |

static

Definition at line 43 of file ftcsbits.c.

References FT_Bitmap_::buffer, FTC_SBitRec_::buffer, error, FT_ALLOC, FT_MEM_COPY, FT_Bitmap_::pitch, and FT_Bitmap_::rows.

Referenced by ftc_snode_load().

ftc_snode_compare | ( | FTC_Node | ftcsnode,
|  | FT_Pointer | ftcgquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 325 of file ftcsbits.c.

References FTC_SBitRec_::buffer, FTC_SNodeRec_::count, error, FALSE, FTC_GNodeRec_::family, FTC_GQueryRec_::family, FT_Bool, FT_BOOL, FTC_CACHE_TRYLOOP, FTC_CACHE_TRYLOOP_END, FTC_GNODE, ftc_snode_load(), FTC_GNodeRec_::gindex, FTC_GQueryRec_::gindex, NULL, FTC_SNodeRec_::sbits, and FTC_SBitRec_::width.

Referenced by FTC_SNode_Compare().

FTC_SNode_Compare | ( | FTC_SNode | snode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache,
|  | FT_Bool * | list_changed
| ) |  |

Definition at line 410 of file ftcsbits.c.

References FTC_NODE, and ftc_snode_compare().

Referenced by FTC_SBitCache_Lookup(), and FTC_SBitCache_LookupScaler().

ftc_snode_free | ( | FTC_Node | ftcsnode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 65 of file ftcsbits.c.

References FTC_SBitRec_::buffer, FTC_SNodeRec_::count, FT_FREE, FTC_GNODE, FTC_GNode_Done(), and FTC_SNodeRec_::sbits.

Referenced by FTC_SNode_Free().

FTC_SNode_Free | ( | FTC_SNode | snode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 84 of file ftcsbits.c.

References FTC_NODE, and ftc_snode_free().

Referenced by FTC_SNode_New().

static FT_Error ftc_snode_load | ( | FTC_SNode | snode,
|  | FTC_Manager | manager,
|  | FT_UInt | gindex,
|  | FT_ULong * | asize
| ) |  |

static

Definition at line 102 of file ftcsbits.c.

References FT_GlyphSlotRec_::advance, FT_GlyphSlotRec_::bitmap, FT_GlyphSlotRec_::bitmap_left, FT_GlyphSlotRec_::bitmap_top, FTC_SBitRec_::buffer, CHECK_BYTE, CHECK_CHAR, FTC_SFamilyClassRec_::clazz, FTC_SNodeRec_::count, error, FTC_GNodeRec_::family, FTC_SFamilyClassRec_::family_load_glyph, FTC_SBitRec_::format, FT_GlyphSlotRec_::format, FT_ABS, FT_ERROR, FT_Pos, FT_TRACE0, FT_TRACE2, FTC_GNODE, ftc_sbit_copy_bitmap(), FTC_GNodeRec_::gindex, FT_FaceRec_::glyph, FTC_SBitRec_::height, FTC_SBitRec_::left, FTC_SBitRec_::max_grays, FTC_ManagerRec_::memory, NULL, FT_Bitmap_::num_grays, FT_Bitmap_::pitch, FTC_SBitRec_::pitch, FT_Bitmap_::pixel_mode, FT_Bitmap_::rows, FTC_SNodeRec_::sbits, FTC_SBitRec_::top, FT_Bitmap_::width, FTC_SBitRec_::width, FT_Vector_::x, FTC_SBitRec_::xadvance, FT_Vector_::y, and FTC_SBitRec_::yadvance.

Referenced by ftc_snode_compare(), and FTC_SNode_New().

FTC_SNode_New | ( | FTC_SNode * | psnode,
|  | FTC_GQuery | gquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 208 of file ftcsbits.c.

References FTC_SNodeRec_::count, error, FTC_SFamilyClassRec_::family_get_count, FT_NEW, FTC_CACHE__SFAMILY_CLASS, FTC_GNODE, FTC_GNode_Init(), FTC_SBIT_ITEMS_PER_NODE, FTC_SNode_Free(), ftc_snode_load(), NULL, FTC_SNodeRec_::sbits, and FTC_SBitRec_::width.

Referenced by ftc_snode_new().

ftc_snode_new | ( | FTC_Node * | ftcpsnode,
|  | FT_Pointer | ftcgquery,
|  | FTC_Cache | cache
| ) |  |

Definition at line 266 of file ftcsbits.c.

References FTC_SNode_New().

ftc_snode_weight | ( | FTC_Node | ftcsnode,
|  | FTC_Cache | cache
| ) |  |

Definition at line 279 of file ftcsbits.c.

References FTC_SBitRec_::buffer, FTC_SNodeRec_::count, FT_ASSERT, FT_UNUSED, FTC_SBIT_ITEMS_PER_NODE, FTC_SBitRec_::height, FTC_SBitRec_::pitch, and FTC_SNodeRec_::sbits.